Skip to main content

Update Service Request: ResMan

PUThttps://api.propexo.com/v1/service-requests/resman/:service_request_id
InterfaceMethod
Work Orders/WorkOrders/PostWorkOrders

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

service_request_id stringrequired

The Propexo unique identifier for the service request

Request​

This endpoint expects an object.

    service_request_category_idstring

    The Propexo unique identifier for the service request category

    unit_idstring

    The Propexo unique identifier for the unit

    date_createdstring<date-time>

    The date the service request was created

    service_descriptionstring

    A description of the service request

    reported_bystring

    The name of the person who reported this service request

    date_duestring<date-time>

    The due date associated with the service request

    status_rawstring

    The status associated with the service request

    Show 8 enum values
    SubmittedNot StartedIn ProgressCompletedScheduledCancelledClosedOn Hold
    date_completedstring<date-time>

    The date the service request was completed

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    service_request_idstringrequired

    The Propexo unique identifier for the service request

    service_request_category_idstring

    The Propexo unique identifier for the service request category

    unit_idstring

    The Propexo unique identifier for the unit

    date_createdstring<date-time>

    The date the service request was created

    service_descriptionstring

    A description of the service request

    reported_bystring

    The name of the person who reported this service request

    date_duestring<date-time>

    The due date associated with the service request

    status_rawstring

    The status associated with the service request

    Show 8 enum values
    SubmittedNot StartedIn ProgressCompletedScheduledCancelledClosedOn Hold
    date_completedstring<date-time>

    The date the service request was completed

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/service-requests/resman/:service_request_id
curl -X PUT https://api.propexo.com/v1/service-requests/resman/:service_request_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"service_request_category_id": "string",
"unit_id": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"service_description": "string",
"reported_by": "string",
"date_due": "2024-07-29T15:51:28.071Z",
"status_raw": "Submitted",
"date_completed": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"service_request_id": "string",
"service_request_category_id": "string",
"unit_id": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"service_description": "string",
"reported_by": "string",
"date_due": "2024-07-29T15:51:28.071Z",
"status_raw": "Submitted",
"date_completed": "2024-07-29T15:51:28.071Z"
}
}